Bug 196930 - Support for old distributions
Support for old distributions
Status: CLOSED CURRENTRELEASE
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clark Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 13:35 EDT by Paul Howarth
Modified: 2014-01-21 17:54 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.6.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 14:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
buildsys-build spec patch to cater for different distribution requirements (1.78 KB, patch)
2006-06-27 13:35 EDT, Paul Howarth
no flags Details | Diff
buildsys-build spec patch to cater for different distribution requirement -- now with python for FC3 and FC4 (2.27 KB, patch)
2006-08-06 06:41 EDT, Thorsten Leemhuis
no flags Details | Diff

  None (edit)
Description Paul Howarth 2006-06-27 13:35:21 EDT
As mentioned on fedora-extras-list.

The mock package in Extras currently includes configuration files for building
packages for old (Legacy) distributions. However, most of them need changes due
to the way that the distribution has evolved over the years.

FC2 and older don't include "runuser" and so they need the following line adding
to each of their configs:
config_opts['runuser'] = '/bin/su'

I would like to see a buildsys-build spec file included in the package so that
people can more easily set up their own "groups" repo. The buildsys-build
package needs different dependencies for different distribution releases, as
follows:

* For all Fedora Core distributions before Fedora Core 5, and also Red
Hat Linux 9, an additional package, elfutils, is needed in the default
buildroot. It's needed because redhat-rpm-config turns on the creation
of debuginfo packages, and eu-strip from the elfutils package is needed
for this. In Fedora Core 5, elfutils is a dependency of rpm-build, so it
gets pulled in automatically, but this doesn't happen for earlier
distributions. There is disagreement about where the dependency should
really be (see Bug #111363, Bug #132633, and Bug #155129) so in the
meantime (and certainly for end-of-lifed distributions), it needs to be
a dependency of buildsys-build.

* Building for any Red Hat Linux target older than Red Hat Linux 9
requires file, fileutils, and findutils in the buildroot rather than
coreutils (these are needed for the post-build scripts).

* Red Hat Linux 7 does not include the redhat-rpm-config package, so it
must not be included in the buildroot.

I've attached a patch that illustrates one way of addressing this.

It would be nice if a Red Hat 8 config was supplied too. I realise that Fedora
Legacy doesn't support it but I know some people that use it because the CAD
software they use simply won't run properly on anything newer.

Links to the mock packages on the wiki would be useful to have in the README:
http://fedoraproject.org/wiki/Projects/Mock
http://fedoraproject.org/wiki/Legacy/Mock
Comment 1 Paul Howarth 2006-06-27 13:35:21 EDT
Created attachment 131621 [details]
buildsys-build spec patch to cater for different distribution requirements
Comment 2 Paul Howarth 2006-08-04 03:36:59 EDT
python doesn't get pulled in as a dependency in the FC4 buildroot; this breaks
any package built using the FE python spec file template, and thus it probably
makes sense to add python as a dep of buildsys-build for FC4.
Comment 3 Thorsten Leemhuis 2006-08-06 06:40:01 EDT
We really should fix this soon -- see:
https://www.redhat.com/archives/fedora-extras-list/2006-August/msg00091.html
Comment 4 Thorsten Leemhuis 2006-08-06 06:41:25 EDT
Created attachment 133705 [details]
buildsys-build spec patch to cater for different distribution requirement -- now with python for FC3 and FC4

Updated version of patch from #1
buildsys-build spec patch to cater for different distribution requirement --
now with python for FC3 and FC4
Comment 5 Jesse Keating 2006-08-10 15:08:00 EDT
IMHO this should be fixed upstream as that is where the config files are coming
from.  The Extras package is just the upstream tarball.
Comment 6 Dennis Gilmore 2006-08-10 15:46:03 EDT
FYI,  This should be fixed in CVS and the publicly available buildsys-build 
packages match cvs. there is also now at 
http://buildsys.fedoraproject.org/buildgroups/ RHEL targets

Note You need to log in before you can comment on or make changes to this bug.